Update Zone by ID - Fabric

Update Zone by ID

cURL

curl --request PUT \
  --url https://api.fabric.inc/v3/location-zones/{zoneId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '
{
  "geographyName": "US_Geo_PostalCode",
  "type": "PostalCode",
  "description": "Specific geography for US Zones",
  "values": [\
    "<string>"\
  ],
  "associatedZone": "US_Zone",
  "linkedNetworks": [\
    "<string>"\
  ],
  "resourceId": "<string>",
  "subResourceId": "<string>"
}
'

Python

import requests

url = "https://api.fabric.inc/v3/location-zones/{zoneId}"

payload = {
    "geographyName": "US_Geo_PostalCode",
    "type": "PostalCode",
    "description": "Specific geography for US Zones",
    "values": ["<string>"],
    "associatedZone": "US_Zone",
    "linkedNetworks": ["<string>"],
    "resourceId": "<string>",
    "subResourceId": "<string>"
}
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'PUT',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    geographyName: 'US_Geo_PostalCode',
    type: 'PostalCode',
    description: 'Specific geography for US Zones',
    values: ['<string>'],
    associatedZone: 'US_Zone',
    linkedNetworks: ['<string>'],
    resourceId: '<string>',
    subResourceId: '<string>'
  })
};

fetch('https://api.fabric.inc/v3/location-zones/{zoneId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response

200

{
  "zoneName": "US_LOCATIONS",
  "zoneType": "ABSOLUTE",
  "zoneId": "9372919a8219e8",
  "description": "Specific zone for US Locations",
  "locations": [
    {
      "priority": 1,
      "locationNumber": 23
    }
  ],
  "tiers": [
    {
      "filters": [
        {
          "field": "location.locationNum",
          "condition": "EQ",
          "value": "<unknown>",
          "group": "GroupA"
        }
      ],
      "sort": "+location.createdAt",
      "tier": 123
    }
  ],
  "createdAt": "2022-05-12T09:30:31.198Z",
  "updatedAt": "2022-05-12T09:30:31.198Z"
}

400

{
  "type": "CLIENT_ERROR",
  "errorCode": "SERVICE-4003",
  "message": "Mandatory param(s): `requiredField1` is/are missing",
  "errors": [
    {
      "type": "CLIENT_ERROR",
      "errorCode": "SERVICE-4002",
      "message": "Invalid value(s) specified for 'requiredField.field3'",
      "errors": []
    }
  ],
  "context": {
    "service": "orders",
    "endpoint": "POST /v3/orders"
  }
}

401

{
  "type": "CLIENT_ERROR",
  "errorCode": "SERVICE-4001",
  "message": "Unauthorized request",
  "errors": [],
  "context": {
    "service": "orders",
    "endpoint": "POST /v3/orders/OrderId_12345"
  }
}

404

{
  "message": "Zone with zoneId: 9372919a8219e8 not found"
}

500

{
  "type": "SERVER_ERROR",
  "errorCode": "SERVICE-5000",
  "message": "Internal server error",
  "errors": [],
  "context": {
    "service": "inventories",
    "endpoint": "POST /v3/inventories/actions/find-by-geography"
  }
}